Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.definition
Enum KnowledgeDefinition.KnowledgeType

    java.lang.Object
      java.lang.Enum<KnowledgeDefinition.KnowledgeType>
          org.drools.definition.KnowledgeDefinition.KnowledgeType

All Implemented Interfaces:
  Serializable, Comparable<KnowledgeDefinition.KnowledgeType>

Enclosing interface:
  KnowledgeDefinition

    public static enum KnowledgeDefinition.KnowledgeType

extends Enum<KnowledgeDefinition.KnowledgeType>

Enum Constant Summary
`ENUM`
`FUNCTION`
`PROCESS`
`QUERY`
`RULE`
`TYPE`
`WINDOW`

Method Summary
`static KnowledgeDefinition.KnowledgeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KnowledgeDefinition.KnowledgeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RULE

    public static final KnowledgeDefinition.KnowledgeType RULE

### TYPE

    public static final KnowledgeDefinition.KnowledgeType TYPE

### WINDOW

    public static final KnowledgeDefinition.KnowledgeType WINDOW

### ENUM

    public static final KnowledgeDefinition.KnowledgeType ENUM

### PROCESS

    public static final KnowledgeDefinition.KnowledgeType PROCESS

### FUNCTION

    public static final KnowledgeDefinition.KnowledgeType FUNCTION

### QUERY

    public static final KnowledgeDefinition.KnowledgeType QUERY

Method Detail

### values

    public static KnowledgeDefinition.KnowledgeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KnowledgeDefinition.KnowledgeType c : KnowledgeDefinition.KnowledgeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KnowledgeDefinition.KnowledgeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.